Name:       kbibtex
Version:    0.4
Release:    1%{?dist}
Summary:    A BibTeX editor for KDE

Group:      Applications/Editors
License:    GPLv2+
URL:        http://home.gna.org/kbibtex/index.html
Source0:    http://download.gna.org/%{name}/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  cmake kdelibs-devel libxslt-devel desktop-file-utils gettext
BuildRequires:  poppler-qt4-devel
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
The program KBibTeX is a bibliography editor for KDE. Its main purpose is to
provide a user-friendly interface to BibTeX files.

%prep
%setup -q
# remove a shebang
sed -i -e '/^#!\//, 1d' ./src/program/kbibtex.desktop

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DPLUGIN_INSTALL_DIR:PATH=%{_kde4_libdir}/kde4/ \
              -DLIB_INSTALL_DIR:PATH=%{_libdir}/%{name}/ ..
popd
make %{?_smp_mflags} -C %{_target_platform}

%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}

desktop-file-install \
    --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
    --add-category Education \
    --delete-original \
    %{buildroot}%{_kde4_datadir}/applications/kde4/%{name}.desktop

%post
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
update-mime-database %{_datadir}/mime &> /dev/null || :
update-desktop-database &> /dev/null ||:
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc LICENSE README
%{_kde4_bindir}/%{name}
%{_libdir}/%{name}/lib%{name}*.so
%{_kde4_libdir}/kde4/%{name}part.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}/
%{_kde4_appsdir}/%{name}part/
%{_kde4_datadir}/kde4/services/%{name}part.desktop
%{_kde4_configdir}/%{name}rc
%{_datadir}/mime/packages/bibliography.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*

%changelog
* Tue Nov 29 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4-1
- Update to 0.4
- Move the unversioned shared object files to a program-private directory

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.3-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.3-3
- Rebuild (poppler-0.17.0)

* Sat Jun 25 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.3-2
- Scriptlets revised
- Use description from upstream REAMDE

* Sat Jun 25 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.3-1
- Update to 0.3
- BR: cmake kdelibs-devel poppler-qt4-devel added, kdelibs3-devel removed
- Cmake-based build
- Scriptlets revised
- Specfile Untabified
- URL and Source0 updated
- kbibtex-0.2-desktop-file-type.patch removed
- Other cleanup

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 23 2009 Christian Nolte <ch.nolte at noltec.org> - 0.2.2-19
- Updated to latest upstream version 0.2.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2-14
- BR kdelibs3-devel instead of kdebase-devel (should not need kdebase) (#434344)

* Tue Jan 01 2008 Christian Nolte <ch.nolte at noltec.org> - 0.2-13
- Updated to latest upstream version 0.2
- Desktop-File kbibtex_part.desktop patched: Type is Application now

* Mon Jul 09 2007 Christian Nolte <ch.nolte at noltec.org> - 0.1.5.52-11
- Updated to latest upstream version

* Wed Mar 21 2007 Christian Nolte <ch.nolte at noltec.org> - 0.1.5-8
- latest patches (storesearchurls, webquerypubmedmultiplequeries,
  xslhtmlexport)

* Tue Dec 05 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-4
- Bumped release ver. to solve the violated upgrade path (BUG #216007)

* Sun Oct 29 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-2
- latest released patches (filteredselection,gcc4.2,viewdocument)

* Wed Oct 18 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-1
- Update to 0.1.5

* Fri Sep 15 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.4-2
- Rebuild for FC6

* Wed Apr 27 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.4-1
- Update to the version 0.1.4

* Fri Dec 23 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-3
- Patch to resolve an error when this package is compiled with gcc 4.1.0

* Tue Dec 13 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-2
- BUG 17556 - package review: fixed all problems

* Mon Dec 12 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-1
- Version 0.1.3
